BDU:2021-01695: Уязвимость программного обеспечения для просмотра PDF-документов Okular, связанная с недостаточной проверкой вводимых данных, позволяющая нарушителю получить доступ к конфиденциальным данным, нарушить их целостность, а также вызвать отказ в обслуживании

Описание уязвимости Уязвимость программного обеспечения для просмотра PDF-документов Okular связана недостаточной проверкой вводимых данных. Эксплуатация уязвимости может позволить нарушителю, действующему удаленно, получить доступ к конфиденциальным данным, нарушить их целостность, а также вызвать отказ в обслуживании
Вендор Сообщество свободного программного обеспечения, ООО «РусБИТех-Астра», Fedora Project, АО "НППКТ"
Наименование ПО Debian GNU/Linux, Astra Linux Common Edition (запись в едином реестре российских программ №4433), Fedora, Okular, ОСОН ОСнова Оnyx (запись в едином реестре российских программ №5913)
Версия ПО
  • 8.0 (Debian GNU/Linux)
  • 2.12 «Орёл» (Astra Linux Common Edition)
  • 30 (Fedora)
  • 31 (Fedora)
  • 32 (Fedora)
  • до 1.10.0 (Okular)
  • до 2.1 (ОСОН ОСнова Оnyx)
Тип ПО Операционная система, Прикладное ПО информационных систем
Операционные системы и аппаратные платформы
Тип ошибки Недостаточная проверка вводимых данных
Идентификатор типа ошибки
Класс уязвимости Уязвимость кода
Дата выявления 24.03.2020
Базовый вектор уязвимости
Уровень опасности уязвимости Средний уровень опасности (базовая оценка CVSS 2.0 составляет 6,8)
Средний уровень опасности (базовая оценка CVSS 3.0 составляет 6,3)
Возможные меры по устранению уязвимости
Использование рекомендаций:
Для Okular:
Обновление программного обеспечения до 4:20.12.1-1 или более поздней версии

Для Debian:
Обновление программного обеспечения (пакета okular) до 4:17.12.2-2.2+deb10u1 или более поздней версии

Для Astra Linux:
Обновление программного обеспечения (пакета okular) до 4:17.12.2-2.2+deb10u1 или более поздней версии

Для Fedora:
https://lists.fedoraproject.org/archives/list/package-announce@lists.fedoraproject.org/message/2TY3O6UWX2XTP7PISPTZ6FYRDFU4UF66/
https://lists.fedoraproject.org/archives/list/package-announce@lists.fedoraproject.org/message/AW6GJ3AKGXOMTDHNZBMSXDTWNJJRFBDH/
https://lists.fedoraproject.org/archives/list/package-announce@lists.fedoraproject.org/message/G3HL3F6JLCSRLPFZ47735F5STPJWDVR4/

Для ОСОН Основа:
Обновление программного обеспечения okular до версии 4:17.12.2-2.2+deb10u1
Статус уязвимости Подтверждена производителем
Наличие эксплойта Данные уточняются
Способ эксплуатации
  • Манипулирование ресурсами
Способ устранения Обновление программного обеспечения
Информация об устранении Уязвимость устранена
Ссылки на источники
Идентификаторы других систем описаний уязвимостей
Прочая информация Данные уточняются
Последние изменения